Subject: [bmwg] Re: draft-ietf-bmwg-conterm-03.txt

From: Randy Bush <[email-masked]>
Date: Tue, 13 Aug 2002 16:34:49 -0700

could you folk please address these classes of issues and resubmit?

randy

---

From: Alex Zinin <[email-masked]>

  I'm reviewing the doc at the moment and one major thing
  that struck me right away is that I would expect a "terminology"
  document to be very careful about properly introducing
  terms before using them, etc., while this is not the case.
  Below's what I found in the first couple of pages. Should I
  keep reviewing it? ;)

Alex

> 2.1 BGP Instance or Device
> 
>    Definition:
>               A BGP instance is a process with a single Loc-RIB that
>               runs on a BGP device.

Note that Loc-RIB has not been defined.

>    Discussion:
>               We have chosen to use "device" as the general case, to
>               deal with the understood [e.g. [9]] and yet-to-be-invented
>               cases where the control processing may be separate from
>               forwarding [12].  A BGP device may be a traditional
>               router, a route server, a BGP-aware traffic steering
>               device, a device using BGP to exchange topology
>               information with a GMPLS environment, etc.

"exchange topology info with a GMPLS environment" sounds weird a bit.
First, BGP does not provide topology discovery, we also don't have
standards to use BGP in GMPLS... I would add "a (potentially non-forwarding)
BGP route-reflector", though.

> A device such
>               as a route server, for example, never forwards traffic, so
>               forwarding-based measurements would be meaningless for it.
> 
>    Measurement units: N/A
> 
>    Issues:
> 
>    See Also:
> 
> 2.2 BGP Peer
> 
>    Definition:
>               A BGP peer is another BGP instance to which the Device
>               Under Test (DUT) has established a TCP connection over
>               which a BGP session is active.  In the test scenarios in
>               the methodology discussion that will follow this draft,
>               peers send BGP advertisements to the DUT and receive DUT-
>               originated advertisements.

What about the situation where I have a BGP neighbor configured,
but the TCP sessions is not established yet or is being held down,
is it not a BGP peer? Also, what is the definition of "active"
for a BGP session? And, for that matter, what is a definition
of a "BGP session"? ;)

>
>    Discussion:
>               This is a protocol-specific definition, not to be confused
>               with another frequent usage, which refers to the
>               business/economic definition for the exchange of routes
>               without financial compensation.
> 
>               It is worth noting that a BGP peer, by this definition is
>               associated with a BGP peering session, and there may be
>               more than one such active session on a router or on a
>               tester.  The peering sessions referred to here may exist
>               between various classes of BGP routers (see section 2.3).
> 
>    Measurement units: number of BGP peers
> 
>    Issues:
> 
>    See Also:
> 
> 2.3 Default Route, Default Free Table, and Full Table
> 
>    An individual router's routing table may not necessarily contain a
>    default route.  Not having a default route, however, is not
>    synonymous with having a full default-free table(DFT).
>    It should be noted that the references to number of routes in this
>    section are to routes installed in the loc-RIB, not route instances,
>    and that the total number of route instances may be 4 to 10 times the
>    number of routes.

So, we're using a lot of terms here that haven't been introduced yet.

> 
>    The actual path setup and forwarding of MPLS speaking routers are
>    outside the scope of this document.  A device that computes BGP
>    routes, which a sub-IP device can use to set up paths, has its BGP
>    aspects within scope.

Hmmm... What is this para doing here?

_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg